<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.  The actual display of comments is
 * handled by a callback to redbel_comment which is
 * located in the functions.php file.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?>

			<div id="comments">
<?php if ( post_password_required() ) : ?>
				<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'redbel' ); ?></p>
			</div><!-- #comments -->
<?php
		/* Stop the rest of comments.php from being processed,
		 * but don't kill the script entirely -- we still have
		 * to fully load the template.
		 */
		return;
	endif;
?>

<?php
	// You can start editing here -- including this comment!
?>

<?php if ( have_comments() ) : ?>
			<h3 id="comments-title"><?php comments_number(__('No comments', 'redbel'), __('1 comment', 'redbel'), __('% comments', 'redbel') );?>. <a href="#respond"><?php _e('Leave a Reply', 'redbel');?></a></h3>

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'redbel' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'redbel' ) ); ?></div>
			</div> <!-- .navigation -->
<?php endif; // check for comment navigation ?>

			<ol class="commentlist">
				<?php
					wp_list_comments( array( 'callback' => 'redbel_comment' ) )
				?>
			</ol>

<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
			<div class="navigation">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'redbel' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'redbel' ) ); ?></div>
			</div><!-- .navigation -->
<?php endif; // check for comment navigation ?>

<?php else : // or, if we don't have comments:

	/* If there are no comments and comments are closed,
	 * let's leave a little note, shall we?
	 */
	if ( ! comments_open() ) :
?>
	<p class="nocomments"><?php _e( 'Comments are closed.', 'redbel' ); ?></p>
<?php endif; // end ! comments_open() ?>

<?php endif; // end have_comments() ?>
<?php 
ob_start();
$defaults = array( 
	'fields' => apply_filters( 'comment_form_default_fields', array(
		'author' => '<div class="comment-form-author">' .
					'<input id="author" name="author" type="text" value="' .
					esc_attr( $commenter['comment_author'] ) . '" size="30" class="text" />' .
					'<label for="author">' . __( 'Name', 'redbel' ) . 
					( $req ? ' <span class="required">'.__('(Required)','redbel').'</span>' : '' ) .
					'</label> ' .
					'</div><!-- #form-section-author .form-section -->',
		'email'  => '<div class="comment-form-email">' .
					'<input id="email" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" size="30" class="text" />' .
					'<label for="email">' . __( 'Email', 'redbel' ) . 
					( $req ? ' <span class="required">'.__('(Required)','redbel').'</span>' : '' ) .
					'</label> ' .
					'</div><!-- #form-section-email .form-section -->',
		'url'    => '<div class="comment-form-url">' .
					'<input id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) . '" size="30" class="text" />' .
					'<label for="url">' . __( 'Website', 'redbel' ) . '</label>' .
					'</div><!-- #form-section-url .form-section -->' ) ),
    'comment_field' => '<div class="comment-form-comment">' .
                '<textarea id="comment" name="comment" cols="45" rows="8"></textarea>' .
                '</div><!-- #form-section-comment .form-section -->',
    'comment_notes_before' => '<p class="comment-notes">' . __( 'Your email is <em>never</em> published nor shared.', 'redbel' ) . '</p>',
    'comment_notes_after' => '<p class="form-allowed-tags">' . __( 'You may use these <abbr title="HyperText Markup Language">HTML</abbr> tags and attributes:', 'redbel' ) . '<code>' . allowed_tags() . '</code></p>',
    'id_form' => 'commentform',
    'id_submit' => 'submit',
    'title_reply' => __( 'Leave a Reply', 'redbel' ),
    'title_reply_to' => __( 'Leave a Reply to %s', 'redbel' ),
    'cancel_reply_link' => __( 'Cancel reply', 'redbel' ),
    'label_submit' => __( 'Post Comment', 'redbel' ),
); ?>

<?php comment_form($defaults); 
$output = ob_get_contents();
ob_end_clean();

echo str_replace(' id="_wp', ' id="wp', $output);?>

</div><!-- #comments -->
